<div class="columns">
  <div class="column">
    <div class="heading">
      <h1 class="title">Veranstaltungen</h1>
    </div>
  </div>
</div>

<div class="columns">
  <div class="column">
    <div class="control is-horizontal">
      <div class="control is-grouped">

        <div class="control">
          <div class="select">
            <select id="monthSelect"
                    ng-model="vm.currentMonth">
              <option ng-repeat="month in vm.monthsInYear"
                      ng-value="month.nr"
                      value="{{month.nr}}">{{month.name}}</option>
            </select>
          </div>
        </div><!-- .control -->

        <div class="control">
          <div class="select">
            <select id="yearSelect"
                    ng-model="vm.currentYear">
              <option ng-repeat="year in vm.years"
                      ng-value="year"
                      value="{{year}}">{{year}}</option>
            </select>
          </div>
        </div><!-- .control -->

        <div class="control">
          <button type="button" class="button is-default" ng-click="vm.refreshList()">Aktualisieren</button>
        </div>

        <div class="control">
          <button type="button" class="button is-default" ng-click="vm.getAllEvents()">Alle anzeigen</button>
        </div>

        <div class="control">
          <button type="button"
            id="editBtn"
            ng-click="vm.toggleEditable()"
            class="control button is-primary is-outlined">
            {{vm.editable ? 'Formular schließen' : 'Veranstaltung anlegen'}}
          </button>
        </div>

      </div><!-- .control.is-grouped -->
    </div><!-- .control.is-horizontal -->
  </div><!-- .column -->

</div><!-- .columns -->

<fa-create-event ng-show="vm.editable"
                 my-event="vm.currentEvent"
                 rooms="vm.rooms"
                 creating="vm.saving"
                 updating="vm.updating"
                 refresh="vm.getAllEvents">
</fa-create-event>

<div class="columns">
  <div class="column">
  <table class="table">
    <thead>
      <tr>
        <th>Nummer</th>
        <th>Bezeichnung</th>
        <th>Ansprechpartner</th>
        <th>Datum</th>
        <th>Beginn</th>
        <th>Ende</th>
        <th>Raum</th>
        <th>Aktionen</th>
      </tr>
    </thead>
    <tbody> 
      <tr ng-repeat="event in vm.events | orderBy:'':true track by $index">
        <td>{{event.id}}</td>
        <td>{{event.name}}</td>
        <td>{{event.contact}}</td>
        <td>{{event.date | date: 'shortDate'}}</td>
        <td>{{event.timeBegin | date: 'shortTime'}}</td>
        <td>{{event.timeEnd | date: 'shortTime'}}</td>
        <td>{{event.roomId}}</td>
        <td>
          <div class="control" role="group" aria-label="aktionen">
            <button type="button"
                    title="Bearbeiten"
                    class="control button is-small is-default"
                    ng-click="vm.editEvent($index, event)">
              <i class="fa fa-pencil" aria-hidden="true"></i>
            </button>
            <button type="button"
                    title="Löschen"
                    class="control button is-small is-danger"
                    ng-click="vm.removeEvent($index, event);">
              <i class="fa fa-times" aria-hidden="true"></i>
            </button>
          </div>
        </td>
      </tr>
    </tbody>
  </table>
  </div>
</div>